This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 829184 - marker logs "contribution node list is empty" while doing dbench.
marker logs "contribution node list is empty" while doing dbench.
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Raghavendra Bhat
Vijaykumar Koppad
: Triaged
Depends On:
Blocks: 848254
  Show dependency treegraph
 
Reported: 2012-06-06 03:47 EDT by Vijaykumar Koppad
Modified: 2014-08-24 20:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 848254 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:47:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vijaykumar Koppad 2012-06-06 03:47:38 EDT
Description of problem:
while running dbench with options "-s -F -S --stat-check 10" seeing a lot warnings in brick log from marker saying  contribution node list is empty which is an error

[2012-06-06 07:15:27.675828] W [marker-quota.c:1284:mq_get_parent_inode_local] (-->/usr/local/lib/glusterfs/3.3git/xlator/performance/io-threads.so(iot_inodelk_cbk+0x158) [0x7fefcbbd90a0] (-->/usr/local/lib/libgl
usterfs.so.0(default_inodelk_cbk+0x158) [0x7fefd48f2f22] (-->/usr/local/lib/glusterfs/3.3git/xlator/features/marker.so(mq_inodelk_cbk+0x1d0) [0x7fefcb7af952]))) 0-colon-m-marker: contribution node list is empty w
hich is an error
[2012-06-06 07:15:27.676307] W [marker-quota.c:1284:mq_get_parent_inode_local] (-->/usr/local/lib/glusterfs/3.3git/xlator/performance/io-threads.so(iot_inodelk_cbk+0x158) [0x7fefcbbd90a0] (-->/usr/local/lib/libgl
usterfs.so.0(default_inodelk_cbk+0x158) [0x7fefd48f2f22] (-->/usr/local/lib/glusterfs/3.3git/xlator/features/marker.so(mq_inodelk_cbk+0x1d0) [0x7fefcb7af952]))) 0-colon-m-marker: contribution node list is empty w
hich is an error
[2012-06-06 07:15:27.676667] W [marker-quota.c:1284:mq_get_parent_inode_local] (-->/usr/local/lib/glusterfs/3.3git/xlator/performance/io-threads.so(iot_inodelk_cbk+0x158) [0x7fefcbbd90a0] (-->/usr/local/lib/libgl
usterfs.so.0(default_inodelk_cbk+0x158) [0x7fefd48f2f22] (-->/usr/local/lib/glusterfs/3.3git/xlator/features/marker.so(mq_inodelk_cbk+0x1d0) [0x7fefcb7af952]))) 0-colon-m-marker: contribution node list is empty w
hich is an error
[2012-06-06 07:15:27.677612] W [marker-quota.c:1284:mq_get_parent_inode_local] (-->/usr/local/lib/glusterfs/3.3git/xlator/performance/io-threads.so(iot_inodelk_cbk+0x158) [0x7fefcbbd90a0] (-->/usr/local/lib/libgl
usterfs.so.0(default_inodelk_cbk+0x158) [0x7fefd48f2f22] (-->/usr/local/lib/glusterfs/3.3git/xlator/features/marker.so(mq_inodelk_cbk+0x1d0) [0x7fefcb7af952]))) 0-colon-m-marker: contribution node list is empty w
hich is an error
[2012-06-06 07:15:27.677933] W [marker-quota.c:1284:mq_get_parent_inode_local] (-->/usr/local/lib/glusterfs/3.3git/xlator/performance/io-threads.so(iot_inodelk_cbk+0x158) [0x7fefcbbd90a0] (-->/usr/local/lib/libgl
usterfs.so.0(default_inodelk_cbk+0x158) [0x7fefd48f2f22] (-->/usr/local/lib/glusterfs/3.3git/xlator/features/marker.so(mq_inodelk_cbk+0x1d0) [0x7fefcb7af952]))) 0-colon-m-marker: contribution node list is empty w
hich is an error
[2012-06-06 07:15:27.678343] W [marker-quota.c:1284:mq_get_parent_inode_local] (-->/usr/local/lib/glusterfs/3.3git/xlator/performance/io-threads.so(iot_inodelk_cbk+0x158) [0x7fefcbbd90a0] (-->/usr/local/lib/libgl
usterfs.so.0(default_inodelk_cbk+0x158) [0x7fefd48f2f22] (-->/usr/local/lib/glusterfs/3.3git/xlator/features/marker.so(mq_inodelk_cbk+0x1d0) [0x7fefcb7af952]))) 0-colon-m-marker: contribution node list is empty w
hich is an error
[2012-06-06 07:15:27.678830] W [marker-quota.c:1284:mq_get_parent_inode_local] (-->/usr/local/lib/glusterfs/3.3git/xlator/performance/io-threads.so(iot_inodelk_cbk+0x158) [0x7fefcbbd90a0] (-->/usr/local/lib/libgl
usterfs.so.0(default_inodelk_cbk+0x158) [0x7fefd48f2f22] (-->/usr/local/lib/glusterfs/3.3git/xlator/features/marker.so(mq_inodelk_cbk+0x1d0) [0x7fefcb7af952]))) 0-colon-m-marker: contribution node list is empty w
hich is an error
[2012-06-06 07:15:27.690095] W [marker-quota.c:1284:mq_get_parent_inode_local] (-->/usr/local/lib/glusterfs/3.3git/xlator/performance/io-threads.so(iot_inodelk_cbk+0x158) [0x7fefcbbd90a0] (-->/usr/local/lib/libgl
usterfs.so.0(default_inodelk_cbk+0x158) [0x7fefd48f2f22] (-->/usr/local/lib/glusterfs/3.3git/xlator/features/marker.so(mq_inodelk_cbk+0x1d0) [0x7fefcb7af952]))) 0-colon-m-marker: contribution node list is empty w
hich is an error
[2012-06-06 07:15:27.690811] W [marker-quota.c:1284:mq_get_parent_inode_local] (-->/usr/local/lib/glusterfs/3.3git/xlator/performance/io-threads.so(iot_inodelk_cbk+0x158) [0x7fefcbbd90a0] (-->/usr/local/lib/libgl
usterfs.so.0(default_inodelk_cbk+0x158) [0x7fefd48f2f22] (-->/usr/local/lib/glusterfs/3.3git/xlator/features/marker.so(mq_inodelk_cbk+0x1d0) [0x7fefcb7af952]))) 0-colon-m-marker: contribution node list is empty w
hich is an error
[2012-06-06 07:15:27.691174] W [marker-quota.c:1284:mq_get_parent_inode_local] (-->/usr/local/lib/glusterfs/3.3git/xlator/performance/io-threads.so(iot_inodelk_cbk+0x158) [0x7fefcbbd90a0] (-->/usr/local/lib/libgl
usterfs.so.0(default_inodelk_cbk+0x158) [0x7fefd48f2f22] (-->/usr/local/lib/glusterfs/3.3git/xlator/features/marker.so(mq_inodelk_cbk+0x1d0) [0x7fefcb7af952]))) 0-colon-m-marker: contribution node list is empty w
hich is an error
[2012-06-06 07:15:27.691473] W [marker-quota.c:1284:mq_get_parent_inode_local] (-->/usr/local/lib/glusterfs/3.3git/xlator/performance/io-threads.so(iot_inodelk_cbk+0x158) [0x7fefcbbd90a0] (-->/usr/local/lib/libgl
usterfs.so.0(default_inodelk_cbk+0x158) [0x7fefd48f2f22] (-->/usr/local/lib/glusterfs/3.3git/xlator/features/marker.so(mq_inodelk_cbk+0x1d0) [0x7fefcb7af952]))) 0-colon-m-marker: contribution node list is empty w
hich is an error
[2012-06-06 07:15:27.692236] W [marker-quota.c:1284:mq_get_parent_inode_local] (-->/usr/local/lib/glusterfs/3.3git/xlator/performance/io-threads.so(iot_inodelk_cbk+0x158) [0x7fefcbbd90a0] (-->/usr/local/lib/libgl
usterfs.so.0(default_inodelk_cbk+0x158) [0x7fefd48f2f22] (-->/usr/local/lib/glusterfs/3.3git/xlator/features/marker.so(mq_inodelk_cbk+0x1d0) [0x7fefcb7af952]))) 0-colon-m-marker: contribution node list is empty w
hich is an error
[2012-06-06 07:15:27.692706] W [marker-quota.c:1284:mq_get_parent_inode_local] (-->/usr/local/lib/glusterfs/3.3git/xlator/performance/io-threads.so(iot_inodelk_cbk+0x158) [0x7fefcbbd90a0] (-->/usr/local/lib/libgl
:


Version-Release number of selected component (if applicable):Release-3.3
[c45d7ee5a9d45db1701a6a2490383484100c3aae]

How reproducible:consistently.


Steps to Reproduce:
1.Created a distributed replicate volume 3x2
2.enabled quota, gsync & stat-prefetch
3. ran dbench -s -F -S --stat-check 10 from single client

Actual results: Logs lot of warning in brick logs


Expected results: It should have clean logs.


Additional info:
Comment 1 Amar Tumballi 2012-10-18 01:57:42 EDT
fixed with http://review.gluster.org/3935 in upstream

Note You need to log in before you can comment on or make changes to this bug.